std::experimental::bad_any_cast(3cxx)

NAME
std::experimental::bad_any_cast - Exception class thrown by a failed any_cast.

SYNOPSIS

#include <any>

Inherits std::bad_cast.

  Public Member Functions

virtual const char * what () const noexcept

Detailed Description

Exception class thrown by a failed any_cast.

Member Function Documentation

  virtual const char * std::experimental::bad_any_cast::what () const [inline], [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::bad_cast.

Author

Generated automatically by Doxygen for libstdc++ from the source code.